<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-header](./foundation-header.md) &gt; [NavEventDetailMap](./foundation-header.naveventdetailmap.md)

## NavEventDetailMap type

Events dispatched by the navigation control buttons

**Signature:**

```typescript
export type NavEventDetailMap = {
    'luminance-icon-clicked': void;
    'misc-icon-clicked': void;
    'notification-icon-clicked': void;
};
```
